package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

/**
 * 客户机虚拟光纤通道适配器
 *
 * @author sxp
 * @since Jun 29, 2018
 */
public class ProfileVirtualFibreChannelClientAdapter {
    private Metadata metadata;
    private String virtualSlotNumber;
    private String isRequired;
    /**
     * 适配器类型
     */
    private String adapterType = "Client";
    /**
     * 所属逻辑分区的标识
     */
    private String localPartitionID;
    /**
     * 连接的虚拟插槽的编号
     */
    private String connectingVirtualSlotNumber;
    /**
     * 连接的服务器分区标识(一般选择类型为VIOS)
     */
    private String connectingPartitionID;
    /**
     * World Wide Port Name, 是对于FC HBA卡上的一个端口的全球唯一标识符。
     * <p>
     * 多个wwpn号之间用空格间隔，该字段不需要设置，创建时系统自动生成
     * </p>
     */
    private String wwpns;

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getVirtualSlotNumber() {
        return virtualSlotNumber;
    }

    public void setVirtualSlotNumber(String virtualSlotNumber) {
        this.virtualSlotNumber = virtualSlotNumber;
    }

    public String getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(String isRequired) {
        this.isRequired = isRequired;
    }

    public String getAdapterType() {
        return adapterType;
    }

    public void setAdapterType(String adapterType) {
        this.adapterType = adapterType;
    }

    public String getLocalPartitionID() {
        return localPartitionID;
    }

    public void setLocalPartitionID(String localPartitionID) {
        this.localPartitionID = localPartitionID;
    }

    public String getConnectingVirtualSlotNumber() {
        return connectingVirtualSlotNumber;
    }

    public void setConnectingVirtualSlotNumber(String connectingVirtualSlotNumber) {
        this.connectingVirtualSlotNumber = connectingVirtualSlotNumber;
    }

    public String getConnectingPartitionID() {
        return connectingPartitionID;
    }

    public void setConnectingPartitionID(String connectingPartitionID) {
        this.connectingPartitionID = connectingPartitionID;
    }

    public String getWwpns() {
        return wwpns;
    }

    public void setWwpns(String wwpns) {
        this.wwpns = wwpns;
    }
}
